Bug 1375745 - [abrt] WARNING: CPU: 0 PID: 1 at arch/x86/mm/dump_pagetables.c:225 note_page+0x6a1/0x880
Summary: [abrt] WARNING: CPU: 0 PID: 1 at arch/x86/mm/dump_pagetables.c:225 note_page+...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1cb8184e5178967efcc805160e8...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-13 21:34 UTC by Adam Williamson
Modified: 2018-01-06 17:26 UTC (History)
19 users (show)

(edit)
Clone Of:
: 1531924 (view as bug list)
(edit)
Last Closed: 2017-12-12 10:12:53 UTC


Attachments (Terms of Use)
File: dmesg (42.31 KB, text/plain)
2016-09-13 21:34 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2016-09-13 21:34:42 UTC
Description of problem:
Seems to happen on all boots of 32-bit Workstation (maybe other flavors too), F25 and Rawhide.

Additional info:
reporter:       libreport-2.8.0
WARNING: CPU: 0 PID: 1 at arch/x86/mm/dump_pagetables.c:225 note_page+0x6a1/0x880
x86/mm: Found insecure W+X mapping at address c00a0000/0xc00a0000
Modules linked in:
CPU: 0 PID: 1 Comm: swapper/0 Not tainted 4.8.0-0.rc5.git1.1.fc25.i686+PAE #1
Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.9.3-1.fc25 04/01/2014
 c2a3a967 07a6c7c3 00000286 f70cfe78 c235d8a0 f70cfebc c293ea31 f70cfea8
 c206c11a c2938378 f70cfedc 00000001 c293ea31 000000e1 c2060f01 000000e1
 f70cff3c 80000000 00000000 f70cfec8 c206c186 00000009 00000000 f70cfebc
Call Trace:
 [<c235d8a0>] dump_stack+0x58/0x78
 [<c206c11a>] __warn+0xea/0x110
 [<c2060f01>] ? note_page+0x6a1/0x880
 [<c206c186>] warn_slowpath_fmt+0x46/0x60
 [<c2060f01>] note_page+0x6a1/0x880
 [<c20612d5>] ptdump_walk_pgd_level_core+0x1f5/0x300
 [<c2061416>] ptdump_walk_pgd_level_checkwx+0x16/0x20
 [<c2056e15>] mark_rodata_ro+0xe5/0x110
 [<c275185c>] kernel_init+0x2c/0x100
 [<c2094df1>] ? schedule_tail+0x11/0x50
 [<c27587e2>] ret_from_kernel_thread+0xe/0x24
 [<c2751830>] ? rest_init+0x70/0x70

Potential duplicate: bug 1347955

Comment 1 Adam Williamson 2016-09-13 21:34:52 UTC
Created attachment 1200634 [details]
File: dmesg

Comment 2 Laura Abbott 2017-01-17 01:20:02 UTC
*********** MASS BUG UPDATE **************
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.
 
Fedora 25 has now been rebased to 4.9.3-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Todd 2017-02-15 20:40:45 UTC
Description of problem:
attempting to update with Yum Extender crashed system to black screen and PC rebooted by itself

Version-Release number of selected component:
kernel-PAE-core-4.9.6-200.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        BOOT_IMAGE=/vmlinuz-4.9.6-200.fc25.i686+PAE root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-41237b62-b348-46a3-9e1c-cfe7d54494d8 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_AU.UTF-8
kernel:         4.9.6-200.fc25.i686+PAE
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1 at arch/x86/mm/dump_pagetables.c:225 note_page+0x6a1/0x880
x86/mm: Found insecure W+X mapping at address c00a0000/0xc00a0000
Modules linked in:
CPU: 0 PID: 1 Comm: swapper/0 Not tainted 4.9.6-200.fc25.i686+PAE #1
Hardware name: TOSHIBA Satellite L500/KSWAA, BIOS V1.80 10/28/2009
 f713de78 d376c750 f713debc d3d622ae f713dea8 d346c95a d3d5b834 f713dedc
 00000001 d3d622ae 000000e1 d3461541 000000e1 f713df3c 80000000 00000000
 f713dec8 d346c9c6 00000009 00000000 f713debc d3d5b834 f713dedc bbf18440
Call Trace:
 [<d376c750>] dump_stack+0x58/0x78
 [<d346c95a>] __warn+0xea/0x110
 [<d3461541>] ? note_page+0x6a1/0x880
 [<d346c9c6>] warn_slowpath_fmt+0x46/0x60
 [<d3461541>] note_page+0x6a1/0x880
 [<d3461915>] ptdump_walk_pgd_level_core+0x1f5/0x300
 [<d3461a56>] ptdump_walk_pgd_level_checkwx+0x16/0x20
 [<d3457365>] mark_rodata_ro+0xe5/0x110
 [<d3b6c590>] ? rest_init+0x70/0x70
 [<d3b6c5bc>] kernel_init+0x2c/0x100
 [<d3496891>] ? schedule_tail+0x11/0x50
 [<d3b6c590>] ? rest_init+0x70/0x70
 [<d3b73843>] ret_from_fork+0x1b/0x28

Comment 5 Stan King 2017-03-02 23:31:18 UTC
I see this on an Intel Atom N270, but only in Physical Address Extension (PAE) mode, not in regular 32-bit mode.

In my example, it seems to be non-fatal.  There are other similar bugzillae, for example, 1398973 (HP Compaq 6710b, presumably real hardware) and 1347955 (QEMU Standard PC, presumably a virtual machine).

Comment 6 John Bieren 2017-05-09 11:55:17 UTC
I have hit this issue also on x86_64 with the latest fedora 27 nightly (Fedora-Rawhide-20170508.n.0 Server x86_64) running the 4.12.0-0.rc0.git4.1.fc27.x86_64 kernel:

[   11.201218] ------------[ cut here ]------------ 
[   11.205870] WARNING: CPU: 1 PID: 1 at arch/x86/mm/dump_pagetables.c:236 note_page+0x644/0x830 
[   11.214411] Modules linked in: 
[   11.217500] CPU: 1 PID: 1 Comm: swapper/0 Not tainted 4.12.0-0.rc0.git4.1.fc27.x86_64 #1 
[   11.225608] Hardware name: HP ProLiant ML370 G4, BIOS P50 07/19/2007 
[   11.231983] task: ffff9aaa91b40000 task.stack: ffffb064c0c54000 
[   11.237924] RIP: 0010:note_page+0x644/0x830 
[   11.242133] RSP: 0018:ffffb064c0c57df0 EFLAGS: 00010286 
[   11.247389] RAX: 0000000000000051 RBX: ffffb064c0c57e88 RCX: 0000000000000000 
[   11.254545] RDX: 0000000000000000 RSI: 0000000000000001 RDI: 0000000000000246 
[   11.261697] RBP: ffffb064c0c57e28 R08: 0000000000000001 R09: 0000000000000000 
[   11.268859] R10: ffffb064c0c57de8 R11: 0000000000000000 R12: 0000000000000161 
[   11.276016] R13: 0000000000000004 R14: 0000000000000000 R15: ffffb064c0c57e88 
[   11.283175] FS:  0000000000000000(0000) GS:ffff9aaa92600000(0000) knlGS:0000000000000000 
[   11.291285] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033 
[   11.297054] CR2: 00007f856b211de8 CR3: 0000000048e11000 CR4: 00000000000006e0 
[   11.304211] Call Trace: 
[   11.306700]  ptdump_walk_pgd_level_core+0x3b1/0x4a0 
[   11.311626]  ? 0xffffffffb4000000 
[   11.314978]  ptdump_walk_pgd_level_checkwx+0x17/0x20 
[   11.319976]  mark_rodata_ro+0xf4/0x100 
[   11.323762]  ? rest_init+0x140/0x140 
[   11.327376]  kernel_init+0x2f/0x110 
[   11.330907]  ret_from_fork+0x31/0x40 
[   11.334534] Code: 54 27 00 41 f7 c7 00 01 00 00 0f 85 33 fe ff ff e9 9f fc ff ff 48 89 f2 48 c7 c7 10 0a c8 b4 c6 05 d2 27 dd 00 01 e8 e2 1e 19 00 <0f> ff 48 8b 73 10 e9 52 fa ff ff 4d 89 c8 b9 10 00 00 00 be 10  
[   11.355399] ---[ end trace 9081cfd60bd5e17b ]---

Comment 8 Fedora End Of Life 2017-11-16 15:32:46 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-12-12 10:12:53 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 marek77 2018-01-06 17:26:57 UTC
I have the same issue on Fedora 26 (32bit), HP Compaq 6710b, latest PAE kernel (4.14.11-200.fc26.i686+PAE):

[    2.252612] Freeing unused kernel memory: 948K
[    2.252728] Write protecting the kernel text: 7992k
[    2.252788] Write protecting the kernel read-only data: 3208k
[    2.252789] NX-protecting the kernel data: 6344k
[    2.252938] x86/mm: Found insecure W+X mapping at address c00a0000/0xc00a0000
[    2.252943] ------------[ cut here ]------------
[    2.252948] WARNING: CPU: 1 PID: 1 at arch/x86/mm/dump_pagetables.c:266 note_page+0x670/0x860
[    2.252949] Modules linked in:
[    2.252953] CPU: 1 PID: 1 Comm: swapper/0 Not tainted 4.14.11-200.fc26.i686+PAE #1
[    2.253010] Hardware name: Hewlett-Packard HP Compaq 6710b (GR680ET#ABF)/30C0, BIOS 68DDU Ver. F.10 01/11/2008
[    2.253016] task: f6d2b3c0 task.stack: f6d22000
[    2.253016] EIP: note_page+0x670/0x860
[    2.253016] EFLAGS: 00010246 CPU: 1
[    2.253016] EAX: 00000041 EBX: f6d23f4c ECX: 00000001 EDX: ca8d5ce8
[    2.253016] ESI: 80000000 EDI: 00000000 EBP: f6d23f18 ESP: f6d23eec
[    2.253016]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
[    2.253016] CR0: 80050033 CR2: b7ee85ac CR3: 0a8c2000 CR4: 000006f0
[    2.253016] Call Trace:
[    2.253016]  ptdump_walk_pgd_level_core+0x204/0x2e0
[    2.253016]  ptdump_walk_pgd_level_checkwx+0x18/0x20
[    2.253016]  mark_rodata_ro+0xd5/0xf7
[    2.253016]  ? rest_init+0xa0/0xa0
[    2.253016]  kernel_init+0x2e/0xea
[    2.253016]  ret_from_fork+0x19/0x24
[    2.253016] Code: ca e9 0c fb ff ff f7 c6 00 10 00 00 74 8c 68 9d f8 5e ca e9 16 fe ff ff 52 52 68 4c f9 5e ca c6 05 26 bf 78 ca 01 e8 1d 52 06 00 <0f> ff 8b 53 0c 83 c4 0c e9 38 fa ff ff 50 6a 08 52 6a 08 68 4d
[    2.253016] ---[ end trace c22ead8443a550b2 ]---
[    2.253714] x86/mm: Checked W+X mappings: FAILED, 96 W+X pages found.
[    2.253719] rodata_test: all tests were successful


Note You need to log in before you can comment on or make changes to this bug.